SecT233R1Curve (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.math.ec.custom.sec

## Class SecT233R1Curve

- java.lang.Object
- - org.bouncycastle.math.ec.ECCurve
  - - org.bouncycastle.math.ec.ECCurve.AbstractF2m
    - - org.bouncycastle.math.ec.custom.sec.SecT233R1Curve

-     public class SecT233R1Curve
      extends ECCurve.AbstractF2m

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bouncycastle.math.ec.ECCurve

      `ECCurve.AbstractF2m, ECCurve.AbstractFp, ECCurve.Config, ECCurve.F2m, ECCurve.Fp`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SecT233R1Point` | `infinity`

    - ### Fields inherited from class org.bouncycastle.math.ec.ECCurve

      `a, b, cofactor, coord, COORD_AFFINE, COORD_HOMOGENEOUS, COORD_JACOBIAN, COORD_JACOBIAN_CHUDNOVSKY, COORD_JACOBIAN_MODIFIED, COORD_LAMBDA_AFFINE, COORD_LAMBDA_PROJECTIVE, COORD_SKEWED, endomorphism, field, multiplier, order`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecT233R1Curve()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ECCurve` | `cloneCurve()`
    `protected ECPoint` | `createRawPoint(ECFieldElement x, ECFieldElement y, boolean withCompression)`
    `protected ECPoint` | `createRawPoint(ECFieldElement x, ECFieldElement y, ECFieldElement[] zs, boolean withCompression)`
    `ECFieldElement` | `fromBigInteger(java.math.BigInteger x)`
    `int` | `getFieldSize()`
    `ECPoint` | `getInfinity()`
    `int` | `getK1()`
    `int` | `getK2()`
    `int` | `getK3()`
    `int` | `getM()`
    `boolean` | `isKoblitz()` Returns true if this is a Koblitz curve (ABC curve).
    `boolean` | `isTrinomial()`
    `boolean` | `supportsCoordinateSystem(int coord)`

    - ### Methods inherited from class org.bouncycastle.math.ec.ECCurve.AbstractF2m

      `createPoint, decompressPoint, inverse, isValidFieldElement`

    - ### Methods inherited from class org.bouncycastle.math.ec.ECCurve

      `checkPoint, checkPoints, checkPoints, configure, createDefaultMultiplier, createPoint, decodePoint, equals, equals, getA, getAllCoordinateSystems, getB, getCofactor, getCoordinateSystem, getEndomorphism, getField, getMultiplier, getOrder, getPreCompInfo, hashCode, importPoint, normalizeAll, normalizeAll, setPreCompInfo, validatePoint, validatePoint`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### infinity

          protected SecT233R1Point infinity

  - ### Constructor Detail

    - #### SecT233R1Curve

          public SecT233R1Curve()

  - ### Method Detail

    - #### cloneCurve

          protected ECCurve cloneCurve()

      Specified by:
        `cloneCurve` in class `ECCurve`

    - #### supportsCoordinateSystem

          public boolean supportsCoordinateSystem(int coord)

      Overrides:
        `supportsCoordinateSystem` in class `ECCurve`

    - #### getFieldSize

          public int getFieldSize()

      Specified by:
        `getFieldSize` in class `ECCurve`

    - #### fromBigInteger

          public ECFieldElement fromBigInteger(java.math.BigInteger x)

      Specified by:
        `fromBigInteger` in class `ECCurve`

    - #### createRawPoint

          protected ECPoint createRawPoint(ECFieldElement x,
                               ECFieldElement y,
                               boolean withCompression)

      Specified by:
        `createRawPoint` in class `ECCurve`

    - #### createRawPoint

          protected ECPoint createRawPoint(ECFieldElement x,
                               ECFieldElement y,
                               ECFieldElement[] zs,
                               boolean withCompression)

      Specified by:
        `createRawPoint` in class `ECCurve`

    - #### getInfinity

          public ECPoint getInfinity()

      Specified by:
        `getInfinity` in class `ECCurve`

    - #### isKoblitz

          public boolean isKoblitz()

      Description copied from class: `ECCurve.AbstractF2m`
      Returns true if this is a Koblitz curve (ABC curve).
      Overrides:
        `isKoblitz` in class `ECCurve.AbstractF2m`
      Returns:
        true if this is a Koblitz curve (ABC curve), false otherwise

    - #### getM

          public int getM()

    - #### isTrinomial

          public boolean isTrinomial()

    - #### getK1

          public int getK1()

    - #### getK2

          public int getK2()

    - #### getK3

          public int getK3()